package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/15
 */
@ApiModel(value = "teacher_subject_price-老师声部价格")
public class TeacherSubjectPrice implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableId("teacher_free_time_id")
    @ApiModelProperty(value = "排课时间表id")
    private Long teacherFreeTimeId;

    @TableField("teacher_id_")
    @ApiModelProperty(value = "老师id")
    private Long teacherId;

    @TableField("free_minutes_")
    @ApiModelProperty(value = "课间休息时长(分钟)")
    private Integer freeMinutes;

    @TableField("course_minutes_")
    @ApiModelProperty(value = "单课时长(分钟)")
    private Integer courseMinutes;

    @TableField("subject_id_")
    @ApiModelProperty(value = "声部id")
    private Long subjectId;

    @TableField("subject_name_")
    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @TableField("subject_price_")
    @ApiModelProperty(value = "声部价格")
    private BigDecimal subjectPrice;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public Long getTeacherFreeTimeId() {
        return teacherFreeTimeId;
    }

    public void setTeacherFreeTimeId(Long teacherFreeTimeId) {
        this.teacherFreeTimeId = teacherFreeTimeId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getFreeMinutes() {
        return freeMinutes;
    }

    public void setFreeMinutes(Integer freeMinutes) {
        this.freeMinutes = freeMinutes;
    }

    public Integer getCourseMinutes() {
        return courseMinutes;
    }

    public void setCourseMinutes(Integer courseMinutes) {
        this.courseMinutes = courseMinutes;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public BigDecimal getSubjectPrice() {
        return subjectPrice;
    }

    public void setSubjectPrice(BigDecimal subjectPrice) {
        this.subjectPrice = subjectPrice;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

